## ros-one-gmapping 1.4.2-2jammy.20251023.0839

=== debian/changelog ===
ros-one-gmapping (1.4.2-2jammy.20251023.0839) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Thu, 23 Oct 2025 08:39:38 +0000

ros-one-gmapping (1.4.2-0jammy) jammy; urgency=high

  * change find_package(Boost REQUIRED signales) to find_package(Boost REQUIRED) for noteic (#84 <https://github.com/ros-perception/slam_gmapping/issues/84>)
  * Contributors: Kei Okada

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Fri, 02 Oct 2020 00:00:00 -0000

ros-one-gmapping (1.4.1-0jammy) jammy; urgency=high

  * Merge pull request #85 <https://github.com/ros-perception/slam_gmapping/issues/85> from k-okada/install_nodelet
    install slam_gmapping_nodelet
  * Merge pull request #87 <https://github.com/ros-perception/slam_gmapping/issues/87> from acxz/patch-1
    remove signals dep
  * remove signals dep
    signals is included in boost > 1.70
  * install slam_gmapping_nodelet
  * Contributors: Kei Okada, Michael Ferguson, acxz

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 16 Mar 2020 00:00:00 -0000

ros-one-gmapping (1.4.0-0jammy) jammy; urgency=high

  * update license to BSD and maintainer to mailto:ros-orphaned-packages@googlegroups.com
    since original gmapping source and ROS openslam_gmapping package has been updated to the BSD-3 license, I think we have no reason to use CC for slam_gmapping package
  * Contributors: Kei Okada

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Fri, 12 Jul 2019 00:00:00 -0000

ros-one-gmapping (1.3.10-0jammy) jammy; urgency=high

  * Install nodelet plugin descriptor file. (#56 <https://github.com/ros-perception/slam_gmapping/issues/56>)
  * Contributors: Mikael Arguedas, gavanderhoorn

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 23 Jan 2018 00:00:00 -0000

ros-one-gmapping (1.3.9-0jammy) jammy; urgency=high

  * remove unused file
  * add missing nodelet dependency to find_package
  * make rostest in CMakeLists optional (ros/rosdistro#3010 <https://github.com/ros/rosdistro/issues/3010>)
  * Add nodelet implementation. (#41 <https://github.com/ros-perception/slam_gmapping/issues/41>)
    * Add nodelet implementation.
    Add additional nodelet layer to mirror the node
    implementation. This allows the Slam GMapping
    library to be run as a nodelet instead. This
    would allow you to, for example, run it under
    the same nodelet manager as the nodelet producing
    the /scan output for greater efficiency.
    * Remove superfluous semicolons
    Removed superfluous semicolons and
    mildly clarified info stream output.
  * fix comment, change type from double to int (#40 <https://github.com/ros-perception/slam_gmapping/issues/40>)
    * fix comment, change type from double to int
    * fix comment, iterations param is not double but int
  * Contributors: David Hodo, Kevin Wells, Lukas Bulwahn, Oscar Lima, Vincent Rabaud

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Sun, 22 Oct 2017 00:00:00 -0000

ros-one-gmapping (1.3.8-0jammy) jammy; urgency=high

  * fix a test that would take too long sometimes
  * better verbosity
  * add a test for upside down lasers
  * add a test for symmetry
  * make sure the laser sent to gmapping is always centered
  * do not display warning message if scan is processed at some point
  * Contributors: Vincent Rabaud

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Fri, 31 Jul 2015 00:00:00 -0000

ros-one-gmapping (1.3.7-0jammy) jammy; urgency=high

  * get replay to behave like live processing
  * Contributors: Vincent Rabaud

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Sat, 04 Jul 2015 00:00:00 -0000

ros-one-gmapping (1.3.6-0jammy) jammy; urgency=high

  * Don't crash on exit from replay.
  * replay: Add "on_done" command line parameter.
    Example usage:
    ros run gmapping slam_gmapping_replay --scan_topic=/scan --bag_filename=/tmp/in.bag --on_done "rosrun map_server map_saver -f foo" _particles:=100 _maxUrange:=10
  * replay: Handle order-of-data-in-bag-file issues better at startup.
    Silently discard scans at startup that arrive prior to the TF frames
    required by those scans.
    TF can't interpolate from non-existant data, so discard scans that
    arrive with timestamps prior to the first TF frame.  We do this
    expediently by discarding laser scans that throw
    ExtrapolationException's until/unless we successfully process our first
    scan.
    Similarly, ignore LookupException's at startup.
  * Fix indexing error for inverting scan.
  * add test dependencies
  * get replay test to pass
  * rename test
  * fixing include order
    removing pointer for Gmapping object
  * Minor Fix thanks to vrabaud comments
  * [new feature] replay on bag file
    The aim is to provide a way to get exactly the same map after running
    gmapping multiple times on the same rosbag file. It wasn't possible with the
    tool 'rosbag play', indeed one missing laser scan could provide really
    different results.
    Moreover, this modification allow to process rosbag offline at the maximum
    speed with the guarantee that all lasers scans are processed. It is
    useful in automatic tests and when finding optimal gmapping parameters with a script.
    Example usage:
    rosrun gmapping slam_gmapping_replay --scan_topic=/scan --bag_filename=/tmp/in.bag _particles:=100 _maxUrange:=10
    more options:
    rosrun gmapping slam_gmapping_replay --help
  * spliting init and constructor
    The objective is to allow future handling of replay offline rosbag files.
    This commit also add a variable for the seed, with the objective is to allow to
    have repeateable run (for future offline rosbag replay)
  * Added cfloat include
  * Change arbitrary constant to FLT_EPSILON


## ros-one-gmapping 1.4.2-2jammy.20251207.2134

=== debian/changelog ===
ros-one-gmapping (1.4.2-2jammy.20251207.2134) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Sun, 07 Dec 2025 21:34:24 +0000

## ros-one-gmapping 1.4.2-2jammy.20260221.0129

=== debian/changelog ===
ros-one-gmapping (1.4.2-2jammy.20260221.0129) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Sat, 21 Feb 2026 01:29:34 +0000

## ros-one-gmapping 1.4.2-2noble.20251023.0845

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(gmapping)

find_package(catkin REQUIRED nav_msgs nodelet openslam_gmapping roscpp tf rosbag_storage)

find_package(Boost REQUIRED)

include_directories(${Boost_INCLUDE_DIRS} ${catkin_INCLUDE_DIRS})

include_directories(src)

catkin_package()

add_executable(slam_gmapping src/slam_gmapping.cpp src/main.cpp)
target_link_libraries(slam_gmapping ${Boost_LIBRARIES} ${catkin_LIBRARIES})
if(catkin_EXPORTED_TARGETS)
  add_dependencies(slam_gmapping ${catkin_EXPORTED_TARGETS})
endif()

add_library(slam_gmapping_nodelet src/slam_gmapping.cpp src/nodelet.cpp)
target_link_libraries(slam_gmapping_nodelet ${catkin_LIBRARIES})

add_executable(slam_gmapping_replay src/slam_gmapping.cpp src/replay.cpp)
target_link_libraries(slam_gmapping_replay ${Boost_LIBRARIES} ${catkin_LIBRARIES})
if(catkin_EXPORTED_TARGETS)
add_dependencies(slam_gmapping_replay ${catkin_EXPORTED_TARGETS})
endif()

install(TARGETS slam_gmapping slam_gmapping_nodelet slam_gmapping_replay
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(FILES nodelet_plugins.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

if(CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
  if(TARGET tests)
    add_executable(gmapping-rtest EXCLUDE_FROM_ALL test/rtest.cpp)
    target_link_libraries(gmapping-rtest ${catkin_LIBRARIES} ${GTEST_LIBRARIES})
    add_dependencies(tests gmapping-rtest)
  endif()

  # Need to make the tests more robust; currently the output map can differ
  # substantially between runs.
  catkin_download_test_data(
    ${PROJECT_NAME}_basic_localization_stage_indexed.bag
    http://download.ros.org/data/gmapping/basic_localization_stage_indexed.bag
    DESTINATION ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_SHARE_DESTINATION}/test
    MD5 322a0014f47bcfbb0ad16a317738b0dc)
  catkin_download_test_data(
    ${PROJECT_NAME}_hallway_slow_2011-03-04-21-41-33.bag
    http://download.ros.org/data/gmapping/hallway_slow_2011-03-04-21-41-33.bag
    DESTINATION ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_SHARE_DESTINATION}/test
    MD5 e772b89713693adc610f4c5b96f5dc03)
  catkin_download_test_data(
    ${PROJECT_NAME}_basic_localization_stage_groundtruth.pgm
    http://download.ros.org/data/gmapping/basic_localization_stage_groundtruth.pgm
    DESTINATION ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_SHARE_DESTINATION}/test
    MD5 abf208f721053915145215b18c98f9b3)
  catkin_download_test_data(
    ${PROJECT_NAME}_test_replay_crash.bag
    https://github.com/ros-perception/slam_gmapping_test_data/raw/master/test_replay_crash.bag
    DESTINATION ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_SHARE_DESTINATION}/test
    MD5 bb0e086207eb4fccf0b13d3406f610a1)
  catkin_download_test_data(
    ${PROJECT_NAME}_test_turtlebot.bag
    https://github.com/ros-perception/slam_gmapping_test_data/raw/master/test_turtlebot.bag
    DESTINATION ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_SHARE_DESTINATION}/test
    MD5 402e1e5f7c00445d2a446e58e3151830)
  catkin_download_test_data(
    ${PROJECT_NAME}_test_upside_down.bag
    https://github.com/ros-perception/slam_gmapping_test_data/raw/master/test_upside_down.bag
    DESTINATION ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_SHARE_DESTINATION}/test
    MD5 3b026a2144ec14f3fdf218b5c7077d54)
  set(LOCAL_DEPENDENCIES gmapping-rtest ${PROJECT_NAME}_basic_localization_stage_indexed.bag
     ${PROJECT_NAME}_test_replay_crash.bag
     ${PROJECT_NAME}_test_turtlebot.bag
     ${PROJECT_NAME}_test_upside_down.bag
     ${PROJECT_NAME}_hallway_slow_2011-03-04-21-41-33.bag
     ${PROJECT_NAME}_basic_localization_stage_groundtruth.pgm
     slam_gmapping
     slam_gmapping_replay
  )
  add_rostest(test/basic_localization_stage.launch DEPENDENCIES ${LOCAL_DEPENDENCIES})
  add_rostest(test/basic_localization_stage_replay.launch DEPENDENCIES ${LOCAL_DEPENDENCIES})
  add_rostest(test/basic_localization_stage_replay2.launch DEPENDENCIES ${LOCAL_DEPENDENCIES})
  add_rostest(test/basic_localization_symmetry.launch DEPENDENCIES ${LOCAL_DEPENDENCIES})
  add_rostest(test/basic_localization_upside_down.launch DEPENDENCIES ${LOCAL_DEPENDENCIES})
  add_rostest(test/basic_localization_laser_different_beamcount.test DEPENDENCIES ${LOCAL_DEPENDENCIES})
endif()

=== debian/changelog ===
ros-one-gmapping (1.4.2-2noble.20251023.0845) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Thu, 23 Oct 2025 08:45:46 +0000

ros-one-gmapping (1.4.2-0noble) noble; urgency=high

  * change find_package(Boost REQUIRED signales) to find_package(Boost REQUIRED) for noteic (#84 <https://github.com/ros-perception/slam_gmapping/issues/84>)
  * Contributors: Kei Okada

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Fri, 02 Oct 2020 00:00:00 -0000

ros-one-gmapping (1.4.1-0noble) noble; urgency=high

  * Merge pull request #85 <https://github.com/ros-perception/slam_gmapping/issues/85> from k-okada/install_nodelet
    install slam_gmapping_nodelet
  * Merge pull request #87 <https://github.com/ros-perception/slam_gmapping/issues/87> from acxz/patch-1
    remove signals dep
  * remove signals dep
    signals is included in boost > 1.70
  * install slam_gmapping_nodelet
  * Contributors: Kei Okada, Michael Ferguson, acxz

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 16 Mar 2020 00:00:00 -0000

ros-one-gmapping (1.4.0-0noble) noble; urgency=high

  * update license to BSD and maintainer to mailto:ros-orphaned-packages@googlegroups.com
    since original gmapping source and ROS openslam_gmapping package has been updated to the BSD-3 license, I think we have no reason to use CC for slam_gmapping package
  * Contributors: Kei Okada

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Fri, 12 Jul 2019 00:00:00 -0000

ros-one-gmapping (1.3.10-0noble) noble; urgency=high

  * Install nodelet plugin descriptor file. (#56 <https://github.com/ros-perception/slam_gmapping/issues/56>)
  * Contributors: Mikael Arguedas, gavanderhoorn

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 23 Jan 2018 00:00:00 -0000

ros-one-gmapping (1.3.9-0noble) noble; urgency=high

  * remove unused file
  * add missing nodelet dependency to find_package
  * make rostest in CMakeLists optional (ros/rosdistro#3010 <https://github.com/ros/rosdistro/issues/3010>)
  * Add nodelet implementation. (#41 <https://github.com/ros-perception/slam_gmapping/issues/41>)
    * Add nodelet implementation.
    Add additional nodelet layer to mirror the node
    implementation. This allows the Slam GMapping
    library to be run as a nodelet instead. This
    would allow you to, for example, run it under
    the same nodelet manager as the nodelet producing
    the /scan output for greater efficiency.
    * Remove superfluous semicolons
    Removed superfluous semicolons and
    mildly clarified info stream output.
  * fix comment, change type from double to int (#40 <https://github.com/ros-perception/slam_gmapping/issues/40>)
    * fix comment, change type from double to int
    * fix comment, iterations param is not double but int
  * Contributors: David Hodo, Kevin Wells, Lukas Bulwahn, Oscar Lima, Vincent Rabaud

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Sun, 22 Oct 2017 00:00:00 -0000

ros-one-gmapping (1.3.8-0noble) noble; urgency=high

  * fix a test that would take too long sometimes
  * better verbosity
  * add a test for upside down lasers
  * add a test for symmetry
  * make sure the laser sent to gmapping is always centered
  * do not display warning message if scan is processed at some point
  * Contributors: Vincent Rabaud

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Fri, 31 Jul 2015 00:00:00 -0000

ros-one-gmapping (1.3.7-0noble) noble; urgency=high

  * get replay to behave like live processing
  * Contributors: Vincent Rabaud

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Sat, 04 Jul 2015 00:00:00 -0000

ros-one-gmapping (1.3.6-0noble) noble; urgency=high

  * Don't crash on exit from replay.
  * replay: Add "on_done" command line parameter.
    Example usage:
    ros run gmapping slam_gmapping_replay --scan_topic=/scan --bag_filename=/tmp/in.bag --on_done "rosrun map_server map_saver -f foo" _particles:=100 _maxUrange:=10
  * replay: Handle order-of-data-in-bag-file issues better at startup.
    Silently discard scans at startup that arrive prior to the TF frames
    required by those scans.
    TF can't interpolate from non-existant data, so discard scans that
    arrive with timestamps prior to the first TF frame.  We do this
    expediently by discarding laser scans that throw
    ExtrapolationException's until/unless we successfully process our first
    scan.
    Similarly, ignore LookupException's at startup.
  * Fix indexing error for inverting scan.
  * add test dependencies
  * get replay test to pass
  * rename test
  * fixing include order
    removing pointer for Gmapping object
  * Minor Fix thanks to vrabaud comments
  * [new feature] replay on bag file
    The aim is to provide a way to get exactly the same map after running
    gmapping multiple times on the same rosbag file. It wasn't possible with the
    tool 'rosbag play', indeed one missing laser scan could provide really
    different results.
    Moreover, this modification allow to process rosbag offline at the maximum
    speed with the guarantee that all lasers scans are processed. It is
    useful in automatic tests and when finding optimal gmapping parameters with a script.
    Example usage:
    rosrun gmapping slam_gmapping_replay --scan_topic=/scan --bag_filename=/tmp/in.bag _particles:=100 _maxUrange:=10
    more options:
    rosrun gmapping slam_gmapping_replay --help
  * spliting init and constructor
    The objective is to allow future handling of replay offline rosbag files.
    This commit also add a variable for the seed, with the objective is to allow to
    have repeateable run (for future offline rosbag replay)
  * Added cfloat include
  * Change arbitrary constant to FLT_EPSILON


=== debian/control ===
Source: ros-one-gmapping
Section: misc
Priority: optional
Maintainer: ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin (>= 0.5.68), ros-one-nav-msgs, ros-one-nodelet, ros-one-openslam-gmapping, ros-one-roscpp, ros-one-rostest, ros-one-tf
Homepage: http://ros.org/wiki/gmapping
Standards-Version: 3.9.2

Package: ros-one-gmapping
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-nav-msgs, ros-one-nodelet, ros-one-openslam-gmapping, ros-one-roscpp, ros-one-tf
Description: This package contains a ROS wrapper for OpenSlam's Gmapping.
 The gmapping package provides laser-based SLAM (Simultaneous Localization and Mapping), as a ROS node called slam_gmapping. Using slam_gmapping, you can create a 2-D occupancy grid map (like a building floorplan) from laser and pose data collected by a mobile robot.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-gmapping//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-gmapping 1.4.2-2noble.20260221.0207

=== debian/changelog ===
ros-one-gmapping (1.4.2-2noble.20260221.0207) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Sat, 21 Feb 2026 02:07:55 +0000
